#ifndef CLIB_IMAGEMANAGER_PROTOS_H
#define CLIB_IMAGEMANAGER_PROTOS_H

#ifndef  UTILITY_TAGITEM_H
#include <utility/tagitem.h>
#endif

#ifndef	INTUITION_CLASSUSR_H
#include <intuition/classusr.h>
#endif

#include <proto/dos.h>

#ifdef __cplusplus
extern "C" {
#endif

Object *IM_NewObject (STRPTR, ULONG tag, ...);
Object *IM_NewObjectA (STRPTR, struct TagItem *tags);
VOID IM_DisposeObject (Object *obj);
APTR IM_ObtainColourCube (struct Screen *scr);
VOID IM_ReleaseColourCube (APTR cube);
struct IClass *IM_GetClass (STRPTR name);
VOID IM_FreeClass (struct IClass *cl);
Object **IM_CreateChain (ULONG flags, ULONG chain_element, ...);
Object **IM_CreateChainA (ULONG flags, ULONG *chain);
VOID IM_DeleteChain (Object **chain);

#ifdef __cplusplus
};
#endif

#endif
